# $Revision: 1.37 $, $Date: 2009/10/07 07:26:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	DocBook
Summary:	Pod::DocBook perl module
Summary(pl.UTF-8):	Moduł perla Pod::DocBook
Name:		perl-Pod-DocBook
Version:	1.2
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4d3d79d76585025cf8b2af98cee0e519
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pod::DocBook - module to convert pod files to DocBook SGML.

%description -l pl.UTF-8
Pod::DocBook - moduł do konwertowania plików pod do formatu DocBook
SGML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/pod2docbook
%{perl_vendorlib}/Pod/DocBook.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-DocBook.spec,v $
Revision 1.37  2009/10/07 07:26:24  amateja
- updated to 1.2

Revision 1.36  2008/07/27 22:45:56  arekm
- release 11

Revision 1.35  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:40  paladine
- formatting

Revision 1.32  2004/05/07 00:59:47  ankry
- rel. 10

Revision 1.31  2004/05/06 18:20:55  ankry
- fixed perl-devel BR

Revision 1.30  2004/05/05 13:47:09  ankry
- cosmetics

Revision 1.29  2004/04/22 21:42:26  agaran
- added make test (+bcond without tests)
- licence field fixed, its Artistic not GPL

Revision 1.28  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 20:22:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:37:43  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:14:39  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:33:54  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:19:26  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:32:57  depesz
adapterized

Revision 1.13  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:14:22  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/23 00:50:51  kloczek
- spec adapterized,
- do not include .packlist file in %files.

Revision 1.8  2001/01/13 01:51:10  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:45  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
